## org.apache.mahout.cf.taste.example.kddcup.track2
Class Track2Recommender

    java.lang.Object
      org.apache.mahout.cf.taste.example.kddcup.track2.Track2Recommender

All Implemented Interfaces:
  Refreshable, Recommender

    public final class Track2Recommender

extends Object
implements Recommender

Constructor Summary
`Track2Recommender(DataModel dataModel, File dataFileDirectory)`

Method Summary
`float` `estimatePreference(long userID, long itemID)`
`DataModel` `getDataModel()`
`List<RecommendedItem>` `recommend(long userID, int howMany)`
`List<RecommendedItem>` `recommend(long userID, int howMany, IDRescorer rescorer)`
`void` `refresh(Collection<Refreshable> alreadyRefreshed)`
`void` `removePreference(long userID, long itemID)`
`void` `setPreference(long userID, long itemID, float value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Track2Recommender

    public Track2Recommender(DataModel dataModel,
                             File dataFileDirectory)
                      throws TasteException

Throws:
  `TasteException`

Method Detail

### recommend

    public List<RecommendedItem> recommend(long userID,
                                           int howMany)
                                    throws TasteException

  Specified by:
    `recommend` in interface `Recommender`
  Throws:
    `TasteException`

### recommend

    public List<RecommendedItem> recommend(long userID,
                                           int howMany,
                                           IDRescorer rescorer)
                                    throws TasteException

  Specified by:
    `recommend` in interface `Recommender`
  Throws:
    `TasteException`

### estimatePreference

    public float estimatePreference(long userID,
                                    long itemID)
                             throws TasteException

  Specified by:
    `estimatePreference` in interface `Recommender`
  Throws:
    `TasteException`

### setPreference

    public void setPreference(long userID,
                              long itemID,
                              float value)
                       throws TasteException

  Specified by:
    `setPreference` in interface `Recommender`
  Throws:
    `TasteException`

### removePreference

    public void removePreference(long userID,
                                 long itemID)
                          throws TasteException

  Specified by:
    `removePreference` in interface `Recommender`
  Throws:
    `TasteException`

### getDataModel

    public DataModel getDataModel()

  Specified by:
    `getDataModel` in interface `Recommender`

### refresh

    public void refresh(Collection<Refreshable> alreadyRefreshed)

  Specified by:
    `refresh` in interface `Refreshable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.